The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

форумы  помощь  поиск  регистрация  майллист  вход/выход  слежка  RSS
"yum install kernel-devel помогите"
Вариант для распечатки  
Пред. тема | След. тема 
Форумы Открытые системы на сервере (Сеть. проблемы, диагностика)
Изначальное сообщение [ Отслеживать ]

"yum install kernel-devel помогите"  +/
Сообщение от Роман email(??) on 14-Фев-10, 10:32 
Здравствуйте. У меня стоит Centos 5.4 linux 2.6.27
выполняю

yum install kernel-devel

он мне подсовывает 2.6.18-164.10.1.el5.centos.plus

в чем причина ?

Высказать мнение | Ответить | Правка | Cообщить модератору

Оглавление

Сообщения по теме [Сортировка по времени | RSS]


1. "yum install kernel-devel помогите"  +/
Сообщение от sHaggY_caT (ok) on 14-Фев-10, 12:35 
>Здравствуйте. У меня стоит Centos 5.4
>linux 2.6.27

Зачем???

>выполняю
>
>yum install kernel-devel
>
>он мне подсовывает 2.6.18-164.10.1.el5.centos.plus
>
>в чем причина ?

В этом дело, или не в этом, но если у Вас подключен CentOS plus, настройте приоритеты:

http://wiki.centos.org/PackageManagement/Yum/Priorities

З.Ы. такое ощущение, извините, что Вы из CentOS сделали LFS.
Откуда вообще возьмется соотвествующий пакет с заголовками, если Вы собрали 2.6.27?

Но все-таки покажите, пожалуйста, uname -a

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

2. "yum install kernel-devel помогите"  +/
Сообщение от sHaggY_caT (ok) on 14-Фев-10, 12:45 
Судя по одной из многочисленных тем, что Вы зачем-то сделали:

https://www.opennet.ru/openforum/vsluhforumID1/88148.html

Проблема в том, что Вы не читали OpenVZ user guide и OpenVZ wiki. Используйте, пожалуйста, стабильные el-ядра!

http://wiki.openvz.org/Download/kernel

В RH предпринимается огромное количество усилий, что бы бэкпортировать все значимые изменения и драйвера из последних ванильных ядер в свою ветку (2.6.18 el), наличие такой ветки, это одно из ключевых преимуществ RH/CentOS!

З.Ы. давайте выберем одну тему, в которой будем решать Вашу проблему? Например,

https://www.opennet.ru/openforum/vsluhforumID1/88148.html

?

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

3. "yum install kernel-devel помогите"  +/
Сообщение от Роман email(??) on 14-Фев-10, 13:05 
>[оверквотинг удален]
>В RH предпринимается огромное количество усилий, что бы бэкпортировать все значимые изменения
>и драйвера из последних ванильных ядер в свою ветку (2.6.18 el),
>наличие такой ветки, это одно из ключевых преимуществ RH/CentOS!
>
>З.Ы. давайте выберем одну тему, в которой будем решать Вашу проблему? Например,
>
>
>https://www.opennet.ru/openforum/vsluhforumID1/88148.html
>
>?

uname -a

Linux localhost.localdomain 2.6.27-chistyakov.1 #1 SMP Thu Dec 24 21:16:44 MSK 2009 i686 i686 i386 GNU/Linux

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

4. "yum install kernel-devel помогите"  +/
Сообщение от Роман email(??) on 14-Фев-10, 13:12 
>[оверквотинг удален]
>В RH предпринимается огромное количество усилий, что бы бэкпортировать все значимые изменения
>и драйвера из последних ванильных ядер в свою ветку (2.6.18 el),
>наличие такой ветки, это одно из ключевых преимуществ RH/CentOS!
>
>З.Ы. давайте выберем одну тему, в которой будем решать Вашу проблему? Например,
>
>
>https://www.opennet.ru/openforum/vsluhforumID1/88148.html
>
>?

Так у меня и стоит ядро 2.6.27-chistyakov.1

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

5. "yum install kernel-devel помогите"  +/
Сообщение от sHaggY_caT (ok) on 14-Фев-10, 13:21 
>[оверквотинг удален]
>>наличие такой ветки, это одно из ключевых преимуществ RH/CentOS!
>>
>>З.Ы. давайте выберем одну тему, в которой будем решать Вашу проблему? Например,
>>
>>
>>https://www.opennet.ru/openforum/vsluhforumID1/88148.html
>>
>>?
>
>Так у меня и стоит ядро 2.6.27-chistyakov.1

Во-первых, заголовочные файлы для 2.6.27-chistyakov.1  нужно искать в репозиториях OpenVZ:

http://download.openvz.org/openvz.repo

Во-вторых, зачем Вы поставили это непонятное ядро вместо стабильного 2.6.18 el?

И в третьих, зачем (с какой целью) Вы пытаетесь что-то собрать в бинарном дистрибутиве, который ориентирован на установку бинарных пакетов из rpm? Что бы получить глюк на глюке и необновляемую систему, и потом рассказывать, какой OpenVZ, CentOS, и Linux в частности глючные и непонятные простым людям?

Опишите, пожалуйста, конечную задачу: вполне возможно, она решается в несколько раз проще, чем взялись решать ее Вы.

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

6. "yum install kernel-devel помогите"  +/
Сообщение от Роман email(??) on 14-Фев-10, 13:34 
>[оверквотинг удален]
>Во-вторых, зачем Вы поставили это непонятное ядро вместо стабильного 2.6.18 el?
>
>И в третьих, зачем (с какой целью) Вы пытаетесь что-то собрать в
>бинарном дистрибутиве, который ориентирован на установку бинарных пакетов из rpm? Что
>бы получить глюк на глюке и необновляемую систему, и потом рассказывать,
>какой OpenVZ, CentOS, и Linux в частности глючные и непонятные простым
>людям?
>
>Опишите, пожалуйста, конечную задачу: вполне возможно, она решается в несколько раз проще,
>чем взялись решать ее Вы.

надо установить opneVPN, он требует tun-1.1, его не могу установить так как не работает configure

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

7. "yum install kernel-devel помогите"  +/
Сообщение от sHaggY_caT (ok) on 14-Фев-10, 13:35 
>[оверквотинг удален]
>>наличие такой ветки, это одно из ключевых преимуществ RH/CentOS!
>>
>>З.Ы. давайте выберем одну тему, в которой будем решать Вашу проблему? Например,
>>
>>
>>https://www.opennet.ru/openforum/vsluhforumID1/88148.html
>>
>>?
>
>Так у меня и стоит ядро 2.6.27-chistyakov.1

Извините по поводу резкости моего ответа.

Если моя телепатия подсказала мне правильно, что бы решить Вашу проблему, Вам нужно:

1. Поставить стабильное OpenVZ ядро ветки 2.6.18 el, в котором нет непонятных проблем и глюков, которые могут быть в том, которое используется у Вас сейчас
2. Изучить Guide по установке: http://wiki.openvz.org/Quick_installation (правильно ли Вы все сделали?)
3. Прочитать в user guide, как настраивается OpenVPN (осторожно, PDF!):
http://download.openvz.org/doc/OpenVZ-Users-Guide.pdf

4. Забудьте, пожалуйста, навсегда в CentOS/RHEL/Fedora, Debian/Ubuntu и в любой другой бинарной системе (если не хотите получить в будущем кучу невоспроизводимых проблем) о способе установки ./configure --опции && make && make install.

Если что-то нужно собрать, нужно собрать rpm-пакет с помощью rpmbuild, и лучше на другой системе, например, в OpenVZ контейнере, что бы не засорять систему кучей заголовочных файлов. Так же, например, для сбоки рулит mock.

5. Такая ситуация возникает редко, и для установки OpenVPN на OpenVZ систему под CentOS, ничего и никогда компилировать не нужно!
И вообще, сборка rpm это термоядерная бомба, которой нужно избегать, по возможности, максимально!

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

8. "yum install kernel-devel помогите"  +/
Сообщение от nagual email(ok) on 11-Май-10, 23:14 
Очень похожая проблема. Как с Вами можно связаться?
Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

9. "yum install kernel-devel помогите"  +/
Сообщение от sHaggY_caT (ok) on 11-Май-10, 23:51 
>Очень похожая проблема. Как с Вами можно связаться?

inbox at shaggy-cat dot ru

У топикстартера проблема была в том(куда-то делось мое сообщение с подведением итогов), что у него VPS под OpenVZ. В его случае сам хостер должен был создать девайс для openvpn, и разрешить его использовать в VPS.

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

Архив | Удалить

Рекомендовать для помещения в FAQ | Индекс форумов | Темы | Пред. тема | След. тема




Спонсоры:
PostgresPro
Inferno Solutions
Hosting by Hoster.ru
Хостинг:

Закладки на сайте
Проследить за страницей
Created 1996-2022 by Maxim Chirkov
Добавить, Поддержать, Вебмастеру